Bug 175447 - unable to configure canon mf5550 usb printer
unable to configure canon mf5550 usb printer
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: foomatic (Show other bugs)
4
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Tim Waugh
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-12-10 16:02 EST by Doug Maxey
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-12-12 13:11:41 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Doug Maxey 2005-12-10 16:02:18 EST
Description of problem:
unable to configure canon mf5550 usb printer.

Version-Release number of selected component (if applicable):
system-config-printer-0.6.131.3-1
# rpm -qa |grep cups
cups-libs-1.1.23-15.1
hal-cups-utils-0.5.3-3
cups-1.1.23-15.1
libgnomecups-0.2.0-2
# uname -r
2.6.14-1.1644_FC4-smp-mts


How reproducible:
100%

Steps to Reproduce:
1. run system-config-printer with the usb attached printer
2.
3.
  
Actual results:
# system-config-printer
No match for USB device:
  mfr "Canon "
  model "MF5550"
  desc "Canon MF5550"
  cmdset "OPL"


Expected results:
The printer would be configured in cups.

Additional info:
Comment 1 Doug Maxey 2005-12-10 16:07:25 EST
from usbview -
Canon MF5550
Manufacturer: Canon
Serial Number: 0455020100008637
Speed: 480Mb/s (high)
USB Version:  2.00
Device Class: 00(>ifc )
Device Subclass: 00
Device Protocol: 00
Maximum Default Endpoint Size: 64
Number of Configurations: 1
Vendor Id: 04a9
Product Id: 2647
Revision Number:  0.01

Config Number: 1
	Number of Interfaces: 2
	Attributes: c0
	MaxPower Needed:  16mA

	Interface Number: 0
		Name: (none)
		Alternate Number: 0
		Class: ff(vend.) 
		Sub Class: ff
		Protocol: ff
		Number of Endpoints: 5

			Endpoint Address: 82
			Direction: in
			Attribute: 2
			Type: Bulk
			Max Packet Size: 512
			Interval: 0ms

			Endpoint Address: 02
			Direction: out
			Attribute: 2
			Type: Bulk
			Max Packet Size: 512
			Interval: 31875us

			Endpoint Address: 84
			Direction: in
			Attribute: 2
			Type: Bulk
			Max Packet Size: 512
			Interval: 0ms

			Endpoint Address: 87
			Direction: in
			Attribute: 2
			Type: Bulk
			Max Packet Size: 512
			Interval: 0ms

			Endpoint Address: 07
			Direction: out
			Attribute: 2
			Type: Bulk
			Max Packet Size: 512
			Interval: 31875us

	Interface Number: 1
		Name: usblp
		Alternate Number: 0
		Class: 07(print) 
		Sub Class: 01
		Protocol: 02
		Number of Endpoints: 2

			Endpoint Address: 83
			Direction: in
			Attribute: 2
			Type: Bulk
			Max Packet Size: 512
			Interval: 0ms

			Endpoint Address: 03
			Direction: out
			Attribute: 2
			Type: Bulk
			Max Packet Size: 512
			Interval: 31875us
Comment 2 Tim Waugh 2005-12-12 13:11:41 EST
Thanks for the report.  Please submit this information to the
linuxprinting project at:

  http://www.linuxprinting.org/contribute.html#data

Thanks.

Note You need to log in before you can comment on or make changes to this bug.